
QGIS Application - Bug report #20779

QGIS crashes while copying/pasting features from one layer to another

2018-12-11 07:08 PM - Harrissou Santanna

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 28599

Description

Sorry for the laconic title but I don't really know what triggers the crash. I got the crash while still working in the session with #20773 (I

don't know if it has to do with it) after a long day of work

User Feedback

I was copy pasting features from one layer to another when I get this crash

Report Details

Crash ID: a818be91b07dc89aa1d68e9c7873e88832263136

Stack Trace

QModelIndex::flags :

QAbstractItemView::currentChanged :

QMetaObject::activate :

QItemSelectionModel::`default constructor closure' :

QItemSelectionModel::qt_static_metacall :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QSortFilterProxyModel::removeRows :

QSortFilterProxyModel::sortRole :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::beginRemoveRows :

QgsEffectStackPropertiesDialog::~QgsEffectStackPropertiesDialog :

QgsEffectStackPropertiesDialog::~QgsEffectStackPropertiesDialog :

QgsEffectStackPropertiesDialog::~QgsEffectStackPropertiesDialog :

QgsEffectStackPropertiesDialog::~QgsEffectStackPropertiesDialog :

QgsEffectStackPropertiesDialog::~QgsEffectStackPropertiesDialog :

QMetaObject::activate :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsMapRendererSequentialJob::usedCachedLabels :

QMetaObject::activate :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsMapRendererSequentialJob::usedCachedLabels :

QgsVertexTool::validateGeometry :

QgsVertexTool::validateGeometry :

QgsVertexTool::validateGeometry :

QgsVertexTool::validateGeometry :

QgsVertexTool::validateGeometry :

QMetaObject::activate :

QAction::activate :
QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsMapRendererSequentialJob::usedCachedLabels :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsMapRendererSequentialJob::usedCachedLabels :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsVertexTool::validateGeometry :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.5.0-Master

QGIS code revision: commit:bc98f8667c

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-11 07:09 PM - Harrissou Santanna

- Priority changed from Normal to High

#2 - 2018-12-11 10:25 PM - Giovanni Manghi

- Subject changed from QGIS crashes to QGIS crashes while copying/pasting features from one layer to another

At least is possible to replicate in a consistent way?

#3 - 2019-01-15 04:07 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Open to Closed
